n, m = map(int, input().split())
table = []
for _ in range(n):
    line = input()
    table.append(line)

obstacle = False
for i in range(n-1):
    for j in range(m-1):
        if table[i][j] == ".":
            obstacle = True
            break
    if obstacle:
        break

if obstacle:
    print("Есть препятствия на столе")
else:
    print("Препятствий нет на столе")